<!-- original: http://salehriaz.com/404Page/404.html -->
<!-- https://docs.traefik.io/middlewares/errorpages/ -->
<!DOCTYPE html>
<html>

<head>
    <title>{{ http_error_code }} - {{ http_error_message }}</title>
    <style>
        {# Import CSS - variables will be passed from the current context #}
        {% include "error_style.css.j2" %}
    </style>
</head>

<body class="bg-purple">

    <div class="stars">
        <div class="custom-navbar">
            <div class="brand-logo">
                <!-- no logo -->
            </div>
            <div class="navbar-links">
                <ul>
                    <!-- no links -->
                </ul>
            </div>
        </div>
        <div class="central-body">
            <div class="error-container">
                <span class="error-code">{{ http_error_code }}</span>
                <br>
                <span class="error-message">
                    <span class="line1">{{ pretty_message_line1 }}</span>
                    <br>
                    <span class="line2">{{ pretty_message_line2 }}</span>
                </span>
            </div>
        </div>
        <div class="objects">
            <img class="object_rocket" src="{{ rocket_svg }}" width="40px">
            <div class="earth-moon">
                <!--<img class="object_earth" src="{{ earth_svg }}" width="100px">-->
                <img class="object_moon" src="{{ moon_svg }}" width="400px">
            </div>
            <div class="box_astronaut">
                <img class="object_astronaut" src="{{ astronaut_svg }}" width="140px">
            </div>
        </div>
        <div class="glowing_stars">
            <div class="star"></div>
            <div class="star"></div>
            <div class="star"></div>
            <div class="star"></div>
            <div class="star"></div>
        </div>

    </div>

</body>

</html>